<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Document</title>
</head>
<body>

  <div id="container"></div>
  <script>
    var arr45 = ["Есть", "жизнь", "на", "Марсе", 456, true, 'Галавань', [43, 55], ['ttt',656,['yyy']]];

    function createTree(container=body, arr){
  container.innerHTML = createTreeText(arr);
}

    function createTreeText(arr){
  let li = '';
  let ul;
  for(let key in arr){
    li += '<li>' + createTreeText(key) + '/<li>';
  }
  if (li){
    ul = '<ul>' +li + '</ul>'
  }
  return ul || '';
}

createTree(arr45);
  </script>
  <!-- <ul>
    <li></li>

    <li></li>
    <li></li>
    <li></li>
    <li></li>
  </ul> -->
 <!--  <script src="h_w7.js"></script> -->
</body>
</html>